Subject: guix pull --no-substitutes never finishes, gcc-mesboot1-4.6.4.drv

From: Zelphir Kaltstahl <[email-masked]>
Date: Sun, 15 Sep 2024 15:14:47 +0000

Hello Guix Users/Developers!

I am experiencing a situation, in which I seem to be unable to do a guix pull 
and guix package -u. I am using the Guix package manager on foreign distro:

--------
$ lsb_release -a
No LSB modules are available.
Distributor ID:	Ubuntu
Description:	Ubuntu 22.04.4 LTS
Release:	22.04
Codename:	jammy
--------

guix --version gives:

--------
$ guix --version
guix (GNU Guix) 4f86fa20179ded1e6314eeba7da17309d501a32f
Copyright (C) 2024 the Guix authors
License GPLv3+: GNU GPL version 3 or later<http://gnu.org/licenses/gpl.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.
--------

guix describe gives the following:

--------
Generation 52	Sep 15 2024 12:26:45	(current)
   guix 4f86fa2
     repository URL:https://git.savannah.gnu.org/git/guix.git
     branch: master
     commit: 4f86fa20179ded1e6314eeba7da17309d501a32f
--------

I first ran guix pull, which led to an error:

--------
... (many lines of logs about downloading packages and so on) ...
substitute: updating substitutes from 'https://bordeaux.guix.gnu.org'... 100.0%
substitute: updating substitutes from 'https://ci.guix.gnu.org'...   0.0%guix substitute: error: TLS error in procedure 'write_to_session_record_port': Error in the push function.
guix package: error: `/gnu/store/438g5cz2l225d0zyhvzj3db3mjrkx8gn-guix-command substitute' died unexpectedly
--------

Since I didn't know what else to do, I thought I would give the --no-substitutes 
a try. That does not run into an error, but simply seems to run forever:

--------
$ guix pull --no-substitutes
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Building from this channel:
   guixhttps://git.savannah.gnu.org/git/guix.git	4f86fa2
building /gnu/store/8cd61javfdnrzzmrj27078agkvndhamz-config.scm.drv...
building /gnu/store/l3l2s985awvhh40mk0b4q53myzbd91px-bash-5.1.tar.gz.drv...
building /gnu/store/lpxvlny8kjq0ai8g25yfij16k34cm07s-bash51-001.drv...
building /gnu/store/yy4lakybldxgfp0gs01vqqcn3jl4gih9-bash51-002.drv...
building /gnu/store/8qvm28rw1ziv5s3kg06ps3xv4zv4ryws-bash51-003.drv...
building /gnu/store/wzrvabyx61wqfyrb26m21n0a03vj1346-bash51-004.drv...
building /gnu/store/g9s8rayhm7pd4kphp8gwr4ka1q9j0w70-bash51-005.drv...
building /gnu/store/g6sk6qigzbwhbzsz2q2r1k7aqppjw7ad-bash51-006.drv...
building /gnu/store/8wp6s5d8ml3hjcb2yy83kwb2c8zmp104-bash51-007.drv...
building /gnu/store/xb1m3jjrkl49qxbd6ynxfxybbj0rl0kx-bash51-008.drv...
building /gnu/store/wv7mzlgyg8x736q7byh826g3wxr2qm66-bash51-009.drv...
building /gnu/store/1990m71mzs2k1rywna9mx0dyljf8cbpq-bash51-010.drv...
building /gnu/store/grb8cyy1smg7vgihwgyypinvbpjdw9fi-bash51-011.drv...
building /gnu/store/glyhs80533kwwshx5xl06ygyn3hkl0sd-bash51-012.drv...
building /gnu/store/bznmdfvaw7p5pi82871xz37dw0p9ym8h-bash51-013.drv...
building /gnu/store/nnqmn94qgyigzxnwvi4qhfggjwvl747v-bash51-014.drv...
building /gnu/store/xwi1z83ws578jzscz38r75z295dqy22d-bash51-015.drv...
building /gnu/store/ljlibldas456vcpxqksmxns5c79hp664-bash51-016.drv...
building /gnu/store/hm4hj4kd1smrcl7k89vd0kx5syyim435-binutils-2.41.tar.bz2.drv...
building /gnu/store/lbz16m4hvwqbnkgdkiybn72j5dsdj129-bison-3.8.2.tar.xz.drv...
building /gnu/store/1w056d2yqq06pc98l97swvar2ca58hjh-bootar-1b.ses.drv...
building /gnu/store/0kg05n8gmd4iwgrfnj4c8mi3kc8ykn6v-coreutils-9.1.tar.xz.drv...
building /gnu/store/paxn1bamllkcr0j9h1bdqyqdanx1rkp0-diffutils-3.10.tar.xz.drv...
building /gnu/store/0innk69jqi1zadpwyi8p9szdl95l2lk0-expat-2.5.0.tar.xz.drv...
building /gnu/store/a4zr7gbvq1c92gsr4hr1j38w9kmwz4h3-file-5.45.tar.gz.drv...
building /gnu/store/98q23v86b8dr0vim25pwq8vp26zywdmy-findutils-4.9.0.tar.xz.drv...
building /gnu/store/k03a5lsgn90raz39yv17px2idvc86xkw-flex-2.6.4.tar.gz.drv...
building /gnu/store/rh1v62vymqhcj84g1xyckca3nlkvx5sq-gash-0.3.0.tar.gz.drv...
building /gnu/store/86c4ixvdb9lcfajav8zc4xvpxn6wdbfb-gash-utils-0.2.0.tar.gz.drv...
building /gnu/store/jqxb206mja2cal4wwlhzpawvm4x11b0q-gawk-5.3.0.tar.xz.drv...
building /gnu/store/yq5bqaka84fzicsrvms3inv9sd6zbiav-gc-8.2.4.tar.gz.drv...
building /gnu/store/zijmrqyadz2a1j5brk49206qaily7yd7-gcc-11.4.0.tar.xz.drv...
building /gnu/store/lbx841rz8l1n5n9fkx8sdmbpsb06inia-git.scm.drv...
building /gnu/store/lkdsmjnrp96hx0w3w6b311vyyl9s97bx-glibc-2.39.tar.xz.drv...
building /gnu/store/aaciz74lpixdsvym5bqh4h7z6s5n4xfx-grep-3.11.tar.xz.drv...
building /gnu/store/gxkmwf2rii4zwwrxxrh5mqmxc0nkkipm-guile-3.0.9.tar.xz.drv...
building /gnu/store/6lmpz4sdyyb90b8mga06ls540p93a7i4-hash.scm.drv...
building /gnu/store/c3ds6y32xq9xck076apm525qqvp649ia-libffi-3.4.4.tar.gz.drv...
building /gnu/store/vkacizg0gg8ddj9ph9y93nmn9gx8hq3z-libunistring-1.1.tar.xz.drv...
building /gnu/store/z5zrbqsybx0gmp1hwxagwid3gl4b35ky-linux-libre-5.15.49-gnu.tar.xz.drv...
building /gnu/store/6da8c5si0qcwwzv9z6qgb2w6dqyd2pdh-make-4.4.1.tar.gz.drv...
building /gnu/store/x7dbmzprb2kmcqh836w50dv05crmhzy5-mes-0.25.1.tar.gz.drv...
building /gnu/store/5fq373qh9xgv5607l7f0p1kxxrrsnvr2-module-import-compiled.drv...
building /gnu/store/ff107pg13nkarix7k9hgxxwx9cnn4602-module-import-compiled.drv...
building /gnu/store/fl40n0r6fdjjk42a71yd45f0gphsr6ch-module-import-compiled.drv...
building /gnu/store/38951a2gcwb4jyrwlzg634jfwkdih7m2-bootstrap-binaries-0.drv...
building /gnu/store/30py4a9zmqmxypbdpkgrfril9jlnlkcs-bootar-1b.drv...
building /gnu/store/mbnrrqjizy3dvma9i3l8g5yvzi2p04ys-Python-3.5.9.tar.xz.drv...
building /gnu/store/x1b0jxnqgakfkzbgrak9986l9f7ca0sv-bash-5.1.tar.xz.drv...
building /gnu/store/758ljfv6llblr7q8kfq1jpsbizqsw4kf-binutils-2.20.1a.tar.xz.drv...
building /gnu/store/72vsh8zwqhwvsbjbv5flix9m1f2ma874-binutils-2.41.tar.xz.drv...
building /gnu/store/qda0d4v95rvq9yzrrc8cd1md01zc37q5-file-5.45.tar.xz.drv...
building /gnu/store/bd7pg0liqa5n6z6b9299l31i1yyyn79n-findutils-4.9.0.tar.xz.drv...
building /gnu/store/5zkhkvm68i1nicg72phl4z45qspflpan-gash-boot-0.3.0.drv...
building /gnu/store/j9jl1myrdvhagps1zz1xbr5bh44nyfi0-gcc-4.9.4.tar.xz.drv...
building /gnu/store/nx2w5j5v8f94rsa1fyl4f2s6gki1amf1-gash-utils-boot-0.2.0.drv...
building /gnu/store/qr28si67z4z5acb3qvc6n91k63z2yw12-glibc-2.16.0.tar.xz.drv...
building /gnu/store/zfkr9d01a4ibnj3kbk9q7lnlmkyyjicw-glibc-2.39.tar.xz.drv...
building /gnu/store/w0ms8q5651b24ahj36abg7w70bciigmx-gmp-6.0.0a.tar.xz.drv...
building /gnu/store/h3yqxy4z8fwd86szwfhicnq2mm6bx64m-grep-3.11.tar.xz.drv...
building /gnu/store/2gb8id2aai4yiii5mflhb21rzrmslj75-guile-3.0.9.tar.xz.drv...
building /gnu/store/a7w7j268cwnczpg9n65ikx1q212w6yzx-linux-libre-headers-bootstrap-0.drv...
building /gnu/store/47n4wwhnwm2h3fy2wn6nz5i4gv62izyd-make-4.4.1.tar.xz.drv...
building /gnu/store/48r7x43q4ddmsql47c66723d1hvx6k8d-mpc-1.3.1.tar.gz.drv...
building /gnu/store/346ra46ca0skjxyrk1yaadi8bj0n9q6f-mpfr-4.2.1.tar.xz.drv...
building /gnu/store/nm9ajpx7i9kkj3aiviiqknjk44ydbx5r-nyacc-1.00.2.tar.gz.drv...
building /gnu/store/wfj12fp5g509pgmaf2l7q04w760267sk-patch-2.7.6.tar.xz.drv...
building /gnu/store/6rwz6yn13i6bz2fsngn2l6n7drlpnpyh-perl-5.36.0.tar.gz.drv...
building /gnu/store/9d9jvnx9hpp7i2ghrrfyx3qxabp2yc63-sed-4.8.tar.xz.drv...
building /gnu/store/zyq05vcvj5w4kx1g9j5afxjqxdzhbad5-perl-5.36.0.tar.xz.drv...
building /gnu/store/dxaw8rq882ymjj6lhgmx23l5ydg6k1xk-stage0-posix-1.6.0.tar.gz.drv...
building /gnu/store/n0ns35g2jpvrm3ljqqvg8hv5z2hq49sm-tar-1.34.tar.xz.drv...
building /gnu/store/9hn2h8jcpwadj364rmlnmi2996pzbhiv-stage0-posix-1.6.0.drv...
building /gnu/store/rpyfz5012h2rbl7mkdrks7kc67fhfpq2-tcc-0.9.26-1149-g46a75d0c.tar.gz.drv...
building /gnu/store/q6ng2nl5rkykmpc7bwvh8kv0bx1k2hl1-mes-boot-0.25.1.drv...
building /gnu/store/jwr0apz1cm2cmd5d73in70zvaknsgbn9-texinfo-6.8.tar.xz.drv...
building /gnu/store/hscfn18bi180r5c098bymn50g8pljb2i-tcc-boot0-0.9.26-1149-g46a75d0c.drv...
building /gnu/store/968svhqmc5si5mxapv2i7blfqal8iygx-texinfo-6.8.tar.xz.drv...
building /gnu/store/bq7qf982rdcjkf5hfmmkxnalz3bqm5k3-gzip-mesboot-1.2.4.drv...
building /gnu/store/6vp8rrgbg1f30bdcml91pcf4vs3l6rhp-make-mesboot0-3.80.drv...
building /gnu/store/9yqyfh9h1qqh9g8ik5l1lid2dhfkdcd0-xz-5.4.5.tar.gz.drv...
building /gnu/store/s1hb0mxwsfllbj3mffxgdfjwhfy9ywqg-patch-mesboot-2.5.9.drv...
building /gnu/store/9dbkdvb8dpi54fsj16965i1qmfrl0yiw-tcc-boot-0.9.27.drv...
building /gnu/store/kdv7sfvd2svgrbdk2zjdrxn7s4jkpcpw-binutils-mesboot0-2.20.1a.drv...
building /gnu/store/pd06w17dyybcvd70zxxxch53h6mbq9b9-mesboot-headers-0.25.1.drv...
building /gnu/store/yay8il7p27xk05c6f6zwisg0282j281y-gcc-core-mesboot0-2.95.3.drv...
building /gnu/store/y5xvcizrgrlkziniqnxa9cl0ankxanl6-glibc-mesboot0-2.2.5.drv...
building /gnu/store/y2v0sxna84pj1lklby6nbvi8k1ja1qb7-gcc-mesboot0-2.95.3.drv...
building /gnu/store/n7hi894ddzy0kgp4yzagrb7cm7n537v6-binutils-mesboot1-2.20.1a.drv...
building /gnu/store/3r4l1dw9yn6irg8c4k8f1vv9k23v49yv-make-mesboot-3.82.drv...
building /gnu/store/qkggqk1px592y8ay9lxm7nrv0jfi6ys5-gcc-mesboot1-4.6.4.drv...
/ 'build' phase
--------

And at that build phase step of gcc-mesboot1 it is stuck forever. All the other 
steps finish rather quickly, but somehow that one ran for 2h and was still not 
finished. I cancelled it and ran the command again, after which the output 
looked like this:

--------
$ guix pull --no-substitutes
Updating channel 'guix' from Git repository at 'https://git.savannah.gnu.org/git/guix.git'...
Authenticating channel 'guix', commits 9edb3f6 to ecc95ec (14 new commits)...
Building from this channel:
   guixhttps://git.savannah.gnu.org/git/guix.git	ecc95ec
building /gnu/store/qkggqk1px592y8ay9lxm7nrv0jfi6ys5-gcc-mesboot1-4.6.4.drv...
/ 'build' phase
--------

And again it is stuck.

While it is stuck, it does still put my CPU cores to use, which is why I 
initially waited for approximately 2h for it to finish, before cancelling it.

So I seem to be unable currently to pull and update packages. I remember having 
had this problem before. I am not sure what I did then. Whether I simply waited 
for a better version, or what I did. However, it seems sometimes such issues strike.

What I haven't tried yet is to update guix itself. (pull as root user).

Is there any other command I should try running to give more information?

Best regards,
Zelphir

-- 
repositories:https://notabug.org/ZelphirKaltstahl,https://codeberg.org/ZelphirKaltstahl